Bug 24885 - Remove guided reports
Summary: Remove guided reports
Status: CLOSED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-16 23:21 UTC by Owen Leonard
Modified: 2022-06-06 20:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-03-16 23:21:02 UTC
The guided reports feature was never fully developed and isn't useful. SQL reports  are clearly the focus of development moving forward and should be the center of the reports module instead.
Comment 1 Andrew Fuerste-Henry 2020-03-17 18:10:22 UTC
Guided reports are a pretty useful feature for new users, even if they eventually move on to full SQL. I'd hate to see it go.
Comment 2 Donna 2020-03-17 18:14:37 UTC
I disagree.  There are a lot of users who do not know SQL and need the assistance of guided reports to create reports.  They find it very useful.  If this is removed, what alternative will users have to help them in creating reports?  The reports library/mana is not sufficient.
Comment 3 Katrin Fischer 2020-04-05 13:54:52 UTC
Personally I quite dislike training the guided reports as they create SQL that is hard to debug/improve when libraries ask for help with them. Reports created with them often 'miss' things like looking into deleted data or other tables and are inaccurate.
Comment 4 Kelly McElligott 2020-05-21 19:01:49 UTC
I also would like to keep them!  But I would be up for removing the statistics wizard ;)
Comment 5 Katrin Fischer 2020-05-21 19:14:57 UTC
(In reply to Kelly McElligott from comment #4)
> I also would like to keep them!  But I would be up for removing the
> statistics wizard ;)

Now I like those :) And you can't get the same results with SQL at the moment (matrix style reports)